=== debian/changelog ===
xiphos (3.1.3-3) unstable; urgency=low

  * Fix FTBFS on hppa (Closes: #582904)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 24 May 2010 13:21:33 +0000

xiphos (3.1.3-2) unstable; urgency=low

  * Fixing Intrepid->Karmic builds. It was a perl bug.
  * Added debug package
  * Manually adding xulrunner dependency when dh_xulrunner is not available.
  * Lzma compressed debs when version has ~ (e.g. ppa)
  * Source format 3.0 (quilt) official, 1.0 ppas
  * Keeping XDG desktop file & icon in arch package to appear in appinstall-data
  * Cleaned up build-dependencies
  * Rebuild to pick up new gtkhtml dependency (Closes: #582169)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 03 Apr 2010 07:52:25 +0000

xiphos (3.1.3-1) unstable; urgency=low

  * New upstream release:
    + Bugfix only
    + Compatible with xulrunner 1.9.2
    + Update translations

  * Revert changes introduced in 3.1.2-1ubuntu1. Thank you Chris Coulson
    for temporary fix.
  * debian/xiphos.1 - spelling mistake
  * waf is now default buildsystem
  * help is now licensed under GPL
  * Bumped standards version no changes required
  * Changed email to @ubuntu.com

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 22 Mar 2010 18:15:54 +0000

xiphos (3.1.2-1ubuntu1) lucid; urgency=low

  * debian/patches/xul192-workaround.patch:
    - Ensure that we don't load the 1.9.2 GRE if it is installed, as
      1.9.2 makes xiphos unusable at the moment. This is a temporary 
      measure until the new xulrunner behaviour is understood
  * debian/control:
    - Explicitly depend xulrunner-1.9.1
  * debian/rules:
    - Don't call dh_xulrunner to automatically populate the binary depends.
      This is known to be broken in xulrunner-1.9.1 (it adds an incorrectly
      versioned dependency). We add it manually instead

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 12 Mar 2010 12:12:23 +0000

xiphos (3.1.2-1build1) lucid; urgency=low

  * No source change rebuild against xulrunner-1.9.2 (LP: #536877)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 28 Feb 2010 05:55:36 -0600

xiphos (3.1.2-1) unstable; urgency=low

  * New Upstream Release
  * Thank you Mike Hommey <glandium@debian.org> for NMU
  * Refreshed patches, Dropped documentation license patch-out
  * Run dh_xulrunner if available
  * Refreshed build-depends (+libgfs +libdbus-glib -libmagick++)
  * Added alternative xulrunner-1.9.1-dev and xulrunner-1.9-dev for 8.04, 8.10.
  * Added omf and icon files
  * Removed all patches
  * Backported PL and HU translations
  * Added waf build system to be anabled in future releases & ppa

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Wed, 13 Jan 2010 23:27:01 +0000

xiphos (3.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548682)
  * debian/rules: Use dh_xulrunner
  * debian/control:
    - Build-depend on a xulrunner-dev that provides dh_xulrunner.
    - Build-depend on libglade2-dev. (Closes: #549788)
    - Don't build-depend on gnome-spell (Closes: #549084)
  * debian/patches/gre_version.patch: Tighten the GREVersionRange.
  * debian/patches/series: Added gre_version.patch.
  * Rebuilding will get the proper libgtkhtml-editor0 dependencies.
    (Closes: #550301)
  * Getting proper dependencies from dh_xulrunner, and tightening
    GREVersionRange should avoid segfault at startup. (Closes: #550041)

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 18:49:57 +0200

xiphos (3.1.1-2) unstable; urgency=high

  * debian/control:
    - Re-add "Provides: sword-frontend"
    - Add "Suggests: sword-text"
    - Xiphos depends on source-version xiphos-data (thanks Matthew Talbert)
    - Bumped debhelper version to >= 7.0.50~
    - Bumped standards version to 3.8.3
  
  * debian/README.source:
    - New file. Describing standard quilt
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Mon, 24 Aug 2009 23:32:53 +0000

xiphos (3.1.1-1) unstable; urgency=low

  * New upstream release (bugfix)
  
  * debian/copyright updates:
    - help/* is GFDL and referencing license file as per policy 3.8.2
    - updated copyright holders (Gnomesword -> Xiphos)
  
  * debian/control:
    - Bumped standards version (Changed debian/copyright as above)
    - Updated VCS-Bzr field to point to a working URL
    - Fixed typo in debian/control (Closes: #539190)
    - Updated extended description of xiphos package (Closes: #539880)
    - Significantly improved wording of all descriptions
    - Added Conflicts: xiphos-svn - upstream deb package name for svn builds

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Wed, 12 Aug 2009 19:21:05 +0000

xiphos (3.1-1) unstable; urgency=low

  * New upstream release. (LP: #331313)
    - Norwegian + Welsh translations;
    - improvements to journal/prayerlist management.
    - many bookmark improvements: multi-verse bookmarks; saving search
    results as bookmarks.
    - better (and fixed) image resize display.
    - vastly improved passage exporter.
    - history management updates and fixes.
    - Fixed crashes sometimes on clicking on words in the text (LP: #379003)
    - Fixed crashes on focus click (LP: #346942)
    - Fixed no easy way to jump to search results (LP: #241577)
    - Fixed dictionaries not functioning (LP: #164152)
  * Added patches:
    - Remove extra GPL license from documentation
    - Remove obsolete files from POTFILES
    - Add generated desktop.in to POTFILES.skip
  * Bumped build-time requirements on sword & gtkhtml
  * Switched to dh7 from cdbs
  * Build Dependecies
    - Add libgtkhtml-editor-dev | gtkhtml3.14 (later for Hardy compatibility)
    - Add xulrunner-dev | libxul-dev (later for Hardy compatibility)
    - Add libcurl4-gnutls-dev, libicu and libcluecene
    - Add version dependency for debhelper (>= 7)
    - Switched to unversioned libmagick++-dev dependency
    - Removed chrpath & cdbs dependency
  * Run-time Dependecies
    - Add libgtkhtml-editor0 | gtkhtml3.14 (for Hardy) (LP: #150425)

