## xiphos 3.1.4

=== wscript ===
--- 
+++ 
@@ -3,36 +3,36 @@
 
 import os, os.path
 import intltool
-
-
-# waf imports
+import string
 import Utils
 import Options
 import ccroot
-
-
-# custom imports
+import preproc
+preproc.go_absolute=1
+preproc.strict_quotes=0
+
 import waffles.misc
 import waffles.gnome as gnome
 
-# the following two variables are used by the target "waf dist"
-VERSION='3.1.3'
+bzrrevno = '$CurRevno$'
+bzrrevid = '$CurRevid$'
+
+VERSION='3.1.4'
+
+if VERSION.find('dev') != -1 and len(bzrrevno.split()) > 1:
+        VERSION = '+'.join((VERSION,
+                            'bzr' + bzrrevno.split()[1]))
+        if bzrrevid.split()[1].find('svn') != -1:
+                VERSION = '+'.join((VERSION,
+                                    'svn' + bzrrevid.split()[1].split(':')[-1]))
+
 APPNAME='xiphos'
 PACKAGE='xiphos'
-
-
-
-# these variables are mandatory ('/' are converted automatically)
 srcdir = '.'
 blddir = 'build'
 
-# dir where waf will search custom (additional) files
 _tooldir = './waffles/'
-
-_prefix = '/usr/local'
-
 ROOTDIR_WIN32 = 'C:\msys'
-
 _headers = '''
 dlfcn.h
 inttypes.h
@@ -49,12 +49,8 @@
 sys/socket.h
 winsock.h
 '''.split()
-
 def set_options(opt):
 
-
-    # options provided by the modules
-    #opt.tool_options('g++ gcc gnome intltool glib2')
     opt.tool_options('g++ gcc')
 
     opt.add_option('--enable-gtkhtml', action='store_true', default=False,
@@ -165,20 +161,20 @@
         env['IS_LINUX'] = True
 
     ## temporary HACKS for win32
-    if env['IS_WIN32']:
-        env['PREFIX'] = conf.escpath(os.path.abspath('win32/binaries/Xiphos'))
-    ##
+    #if env['IS_WIN32']:
+    #    env['PREFIX'] = conf.escpath(os.path.abspath('win32/binaries/Xiphos'))
 
     if env['IS_WIN32']:
         env['ROOTDIR'] = ROOTDIR_WIN32
-    
+
+    conf.check_tool('nothreads', tooldir=_tooldir)
     conf.check_tool('g++ gcc')
     # cross compiler
     if env['IS_CROSS_WIN32']:
         conf.check_tool('cross_linux_win32', tooldir=_tooldir)
-
+  
     conf.check_tool('gnu_dirs misc')
-    conf.check_tool('intltool') # check for locale.h included
+    conf.check_tool('intltool')
 
     opt = Options.options
     env['DISABLE_HELP'] = opt.disable_help
@@ -243,10 +239,10 @@
     env = conf.env
 
 
-    if env['IS_CROSS_WIN32']:
+    #if env['IS_CROSS_WIN32']:
         # allows to use linux pkg-config for cross-compilation
-        os.environ['PKG_CONFIG_LIBDIR'] = opt.pkg_conf_libdir
-        env['PKG_CONFIG_PREFIX'] = opt.pkg_conf_prefix
+        #os.environ['PKG_CONFIG_LIBDIR'] = opt.pkg_conf_libdir
+        #env['PKG_CONFIG_PREFIX'] = opt.pkg_conf_prefix
 
     # mozilla distdir mandatory for win32 for using libxul
     if env['IS_WIN32']:
@@ -255,16 +251,8 @@
         else:
             env['MOZILLA_DISTDIR'] = '%s/../..' % env['PKG_CONFIG_LIBDIR']
 
-    # appropriate cflags
-    env.append_value('CXXFLAGS', env['CXXFLAGS_%s' % opt.debug_level.upper()])
-    env.append_value('CCFLAGS', env['CCFLAGS_%s' % opt.debug_level.upper()])
-
     if env['IS_WIN32']:
         dfn('WIN32', 1)
-
-    if opt.delint:
-        env.append_value('CXXFLAGS', env['CXXFLAGS_DELINT'])
-        env.append_value('CCFLAGS', env['CCFLAGS_DELINT'])
 
     # gtkhtml
     if opt.gtkhtml:
@@ -278,7 +266,7 @@
 
     # strip xiphos binary
     if env['IS_CROSS_WIN32']:
-        env['STRIP'] = conf.find_program('i686-mingw32-strip', mandatory=True)
+        env['STRIP'] = conf.find_program('i686-pc-mingw32-strip', mandatory=True)
     else:
         env['STRIP'] = conf.find_program('strip', mandatory=True)
 
@@ -292,7 +280,6 @@
         # we need a modified version of dbus.py for running on windows
         conf.check_tool('dbus', tooldir=_tooldir)
         conf.check_tool('glib2')
-
 
     ### App info, paths
     define = conf.define
@@ -322,49 +309,57 @@
     define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/pixmaps/${PACKAGE}', env)))
     define('PACKAGE_SOURCE_DIR', conf.escpath(os.path.abspath(srcdir))) # foder where was wscript executed
 
-    # pkg-config
+
+    if conf.check_cfg(modversion='gtkhtml-editor-3.14',
+                      msg='Is post GNOME3 gtkhtml-editor available?',
+                      okmsg='Deffinatly',
+                      errmsg='Probably, not'
+                      ):
+            editor='"gtkhtml-editor-3.14"'
+    else:
+            editor='"gtkhtml-editor"'
+
+    common_libs = string.join(
+    [editor] + '''
+    "gtk+-2.0 >= 2.14"
+    "libglade-2.0"
+    "gmodule-2.0"
+    "glib-2.0"
+    "libgsf-1 >= 1.14"
+    "libxml-2.0"
+    "libgtkhtml-3.14 >= 3.23"
+    --cflags --libs'''
+    .split()," ")
+
     conf.check_cfg(atleast_pkgconfig_version='0.9.0')
-
-    # GTK+
-    #check_pkg(conf, 'gtk+-x11-2.0', '2.0.0', var='LIBGTK_X11_2_0')
-    #if not env['HAVE_LIBGTK_X11_2_0']:
-    #    check_pkg(conf, 'gtk+-x11-2.0', '2.0.0', True, var='LIBGTK_WIN32_2_0')
-    conf.check_pkg('gtk+-2.0', '2.14', True, var='GTK')
-    # glade
-    conf.check_pkg('libglade-2.0', '2.0.0', var='GLADE')
-        
-    conf.check_pkg('gmodule-2.0', '2.0.0', True, var='GMODULEEXP')
-    conf.check_pkg('glib-2.0', '2.0.0', True, 'GLIB')
-
-    ## gfs
-    conf.check_pkg('libgsf-1', '1.14', True, var='GFS')
-
-    #check_pkg(conf, 'libgnomeprintui-2.2', '2.2', True, var='GNOMEPRINTUI')
-    #check_pkg(conf, 'libgnomeprint-2.2', '2.2', True, var='GNOMEPRINT')
-
-    ## Other
-    conf.check_pkg('libxml-2.0', '2.0.0', True, var='XML')
-
-    conf.check_pkg('gtk+-unix-print-2.0', '2.0.0', var='UPRINT')
-    if env['HAVE_UPRINT']:
-        dfn('USE_GTKUPRINT', 1)
-
-    ## Sword
-    conf.check_pkg('sword', '1.5.11', True, var='SWORD')
-
-    conf.check_pkgver_msg('sword', '1.5.11.99', var='MULTIVERSE',
-            msg='Checking for sword multiverse')
-    if env['HAVE_MULTIVERSE']:
-        dfn('SWORD_MULTIVERSE', 1)
-
-
-    #here gtkhtml
-    conf.check_pkg('libgtkhtml-3.14', version='3.23', mandatory=True, var='GTKHTML')
-
-    if conf.env['HAVE_GTKHTML']:
-	conf.define('USE_GTKHTML3_14', 1)
-
-    conf.check_pkg('gtkhtml-editor', mandatory=True)
+    conf.check_cfg(msg="Checking for GNOME related libs",
+                   package='',
+                   args=common_libs,
+                   uselib_store='GNOME',
+                   mandatory=True)
+
+    env.append_value('ALL_LIBS', 'GNOME')
+
+    conf.check_cfg(package="gtk+-unix-print-2.0",
+                   uselib_stor='GTKUPRINT')
+
+    env.append_value('ALL_LIBS', 'GTKUPRINT')
+
+    conf.check_cfg(package='sword',
+                   args='"sword >= 1.6.1" --cflags --libs',
+                   uselib_store='SWORD',
+                   mandatory=True)
+    env.append_value('ALL_LIBS', 'SWORD')
+
+    conf.check_cfg(package="gtk+-2.0",
+                   atleast_version = "2.16",
+                   uselib_store="GTK_216")
+    conf.check_cfg(package="gtk+-2.0",
+                   atleast_version = "2.18",
+                   uselib_store="GTK_218")
+    conf.check_cfg(package="gtk+-2.0",
+                   atleast_version = "2.20",
+                   uselib_store="GTK_220")
 
     ######################
     ### gecko (xulrunner) for html rendering
