=== debian/changelog ===
xiphos (3.1.4-2ubuntu1) natty; urgency=low

  * Fix LP: #761715 - xiphos will stop working after the Firefox 4.0.1
    release. We just hard-code the min/max Gecko versions for now rather
    than trying to figure them out dynamically at build time. The existing
    method of doing that doesn't seem to handle all combinations of Gecko
    versions and also currently makes it FTBFS
    - update debian/patches/xul-2.0.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Apr 2011 16:39:17 +0100

xiphos (3.1.4-2) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com ]
  * Release to unstable
  * Simplify and reduce logic in debian/rules.
  * Drop gnomesword package now that squeeze is released
  * Add dependency (renamed) libgtkhtml-editor-3.14-dev (Closes: #613971)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 29 Nov 2010 22:58:32 +0000

xiphos (3.1.4-1) experimental; urgency=low

  [ Jonathan Marsden ]
  * New upstream release 3.1.4
  * Removed debian/patch/* since the one patch was included upstream.
  * Bumped Standards-Version to 3.9.1 (no changes required).
  * debian/README.Debian: Corrected spelling and reworded for clarity.
  * debian/control: Add Jonathan Marsden back into Uploaders.

  [ Dmitrijs Ledkovs ]
  * Added local options dpkg-source to unapply patches and fail on
    upstream source changes (ignoring false positives).
  * Added bzr-builddeb hook to generate source-format before build. If you
    are not using bzr-builddeb, you must run "./debian/rules clean" before
    building.
  * patches/xul-2.0.patch: bump UPPER_RANGE to allow running against xul20.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 25 Nov 2010 21:26:48 +0000
