=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: xiphos
-Build-Depends: quilt,
+Build-Depends: quilt (>= 0.46.7~),
                debhelper (>= 7.0.50~),
                libsword-dev (>=1.5.11),
                rarian-compat,
                libgtkhtml3.14-dev,
-               libgtkhtml-editor-dev | gtkhtml3.14,
+               libgtkhtml-editor-3.14-dev | libgtkhtml-editor-dev | gtkhtml3.14,
                gnome-doc-utils,
                intltool,
                libgtk2.0-dev,
@@ -15,16 +15,17 @@
                xulrunner-dev (>= 1.9.1.3-2) | xulrunner-1.9.1-dev | xulrunner-1.9-dev,
 Section: gnome
 Priority: optional
-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
-Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>, Jonathan Marsden <jmarsden@fastmail.fm>
+Standards-Version: 3.9.1
 Vcs-Bzr: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main
 Vcs-Browser: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main/files
 Homepage: http://xiphos.org
 
 Package: xiphos
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, xiphos-data (= ${source:Version}), libgtkhtml-editor0 | gtkhtml3.14
+Depends: ${shlibs:Depends}, ${misc:Depends}, xiphos-data (= ${source:Version}), libgtkhtml-editor-3.14-0 | libgtkhtml-editor0 | gtkhtml3.14
 Replaces: xiphos-data
 Conflicts: xiphos-svn
 Provides: sword-frontend
@@ -70,11 +71,3 @@
  study tools and of associated texts such as commentaries and dictionaries.
  .
  This package contains the data files that are necessary to use Xiphos.
-
-Package: gnomesword
-Architecture: all
-Depends: xiphos, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: xiphos-svn
-Description: transitional package for GnomeSword, now Xiphos
- This is a transitional package and can safely be removed. GnomeSword has been
- renamed to Xiphos; see the "xiphos" package instead.
