=== debian/watch ===
version=3
http://sf.net/gnomesword/xiphos-(.+)\.tar\.gz
